[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] xenapi: Fix compile error in previous commit



On 08/20/2010 04:33 PM, Matthias Bolte wrote:
> The xenapi driver requires libxenserver which can be found here:
> 
> http://community.citrix.com/display/xs/Download+SDKs

A word of warning - the 5.6.0-1 tarball comes with no ./configure
script.  The Makefile is broken out of the box - it wants to install
directly into /usr rather than /usr/local, and it is missing definitions
for $(INSTALL_PROG) and $(LIBDIR).  Also, it fails to install
include/xen/api/xen_all.h.  I had to do:

sudo make install INSTALL_PROG='$(INSTALL)' LIBDIR=lib64
sudo cp include/xen/api/xen_all.h /usr/include/xen/api

for my x86_64 Fedora box.

-- 
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]